> ## Documentation Index
> Fetch the complete documentation index at: https://docs.flipsuite.xyz/llms.txt
> Use this file to discover all available pages before exploring further.

# Update Balance

> Update point system balance of one or more users



## OpenAPI

````yaml POST /v1/community/points/{pointSystemId}/balance
openapi: 3.1.0
info:
  version: 1.0.0
  title: Flipsuite API
servers:
  - url: https://api.flipsuite.xyz
security: []
paths:
  /v1/community/points/{pointSystemId}/balance:
    post:
      description: Update point system balance of one or more users
      parameters:
        - in: header
          name: x-api-key
          schema:
            $ref: '#/components/schemas/__schema0'
          required: true
          description: Your community API key
        - in: path
          name: pointSystemId
          schema:
            description: ID of a point system
            type: string
          required: true
          description: ID of a point system
      requestBody:
        content:
          application/json:
            schema:
              example:
                changes:
                  - platform: discord
                    userId: '328218133074804739'
                    amount: -100
                  - platform: discord
                    userId: '144610383091466241'
                    amount: 100
                metadata:
                  source: my-app
                  type: transfer
              type: object
              properties:
                changes:
                  description: List of balance changes to apply.
                  minItems: 1
                  maxItems: 1000
                  type: array
                  items:
                    description: Balance change to apply to a specific user.
                    type: object
                    properties:
                      platform:
                        type: string
                        const: discord
                      userId:
                        description: ID of a Discord user whose balance should be updated.
                        type: string
                        pattern: ^\d+$
                      amount:
                        description: >-
                          Amount of points to add or subtract from the user's
                          balance.
                        type: number
                    required:
                      - platform
                      - userId
                      - amount
                metadata:
                  description: Custom metadata to include in the transaction log.
                  anyOf:
                    - type: object
                      propertyNames:
                        type: string
                        maxLength: 64
                      additionalProperties:
                        anyOf:
                          - type: string
                            maxLength: 128
                          - type: number
                          - type: boolean
                    - type: 'null'
              required:
                - changes
      responses:
        '200':
          description: Balances have been updated
components:
  schemas:
    __schema0:
      description: Your community API key
      type: string

````